Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/cards/{cardId}/expiring-points \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"card_id": "<string>",
"customer_id": "<string>",
"card_definition_id": "<string>",
"program_id": "<string>",
"card_type": "<string>",
"member_id": "<string>",
"points": {
"total": 123
},
"expiration_date": "2023-12-25",
"expiration_type": "<string>",
"status": "ACTIVE",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Lists active points expiration buckets for a specific card. Only returns ACTIVE buckets with future expiration dates. If the card definition does not have points expiration enabled, returns an empty list.
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/cards/{cardId}/expiring-points \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"card_id": "<string>",
"customer_id": "<string>",
"card_definition_id": "<string>",
"program_id": "<string>",
"card_type": "<string>",
"member_id": "<string>",
"points": {
"total": 123
},
"expiration_date": "2023-12-25",
"expiration_type": "<string>",
"status": "ACTIVE",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique program identifier
Unique member identifier
Unique card identifier
Number of results to return (1-100, default 10)
1 <= x <= 100Sort order for results
expiration_date, -expiration_date Cursor token for pagination
Was this page helpful?